@echo off

set inputFileAndPath=%1
set inputFile=%~nx1
set inputPath=%~dp1
set inputFileType=%~x1
set outputFileWebm=%inputFile:.webm=_opt.webm%
set outputFileMp4=%inputFile:.mp4=_opt.mp4%

if "%inputFileType%" == ".webm" (
	echo.
	echo WEBM-Dateiformat erkannt
	echo Starte Optimierung der Keyframes ...
	echo.
	%~dp0lib\ffmpeg.exe -i %1 -c copy -fflags +genpts %inputPath%%outputFileWebm%
	echo.
	echo Optimierung abgeschlossen!
) 

if "%inputFileType%" == ".mp4" (
	echo.
	echo WEBM-Dateiformat erkannt
	echo Starte Optimierung der Keyframes ...
	echo.
	%~dp0lib\ffmpeg.exe -err_detect ignore_err -i %1 -c copy -strict -2 %inputPath%%outputFileMp4%
	echo.
	echo Optimierung abgeschlossen!
)

echo.

pause
